/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef MAINMENU_H_INCLUDED
#define MAINMENU_H_INCLUDED

#include <gtkmm.h>

class MainMenu: public Gtk::VBox
{
public:
  MainMenu();

  Glib::RefPtr<Gtk::AccelGroup> get_accel_group();
private:
  Glib::RefPtr<Gtk::UIManager> m_ui_manager;

  Glib::RefPtr<Gtk::ActionGroup> m_group_file;
  Glib::RefPtr<Gtk::ActionGroup> m_group_edit;
  Glib::RefPtr<Gtk::ActionGroup> m_group_view;
  Glib::RefPtr<Gtk::ActionGroup> m_group_help;

public:
  //FileActions
  const Glib::RefPtr<Gtk::Action> action_file;
  const Glib::RefPtr<Gtk::Action> action_file_new;
  const Glib::RefPtr<Gtk::Action> action_file_open;
  const Glib::RefPtr<Gtk::Action> action_file_save;
  const Glib::RefPtr<Gtk::Action> action_file_save_as;
  const Glib::RefPtr<Gtk::Action> action_file_save_all;
  const Glib::RefPtr<Gtk::Action> action_file_close;
  const Glib::RefPtr<Gtk::Action> action_quit;
  //EditActions
  const Glib::RefPtr<Gtk::Action> action_edit;
  const Glib::RefPtr<Gtk::Action> action_edit_undo;
  const Glib::RefPtr<Gtk::Action> action_edit_redo;
  const Glib::RefPtr<Gtk::Action> action_edit_cut;
  const Glib::RefPtr<Gtk::Action> action_edit_copy;
  const Glib::RefPtr<Gtk::Action> action_edit_paste;
  const Glib::RefPtr<Gtk::Action> action_edit_find;
  const Glib::RefPtr<Gtk::Action> action_edit_replace;
  const Glib::RefPtr<Gtk::Action> action_edit_goto;
  const Glib::RefPtr<Gtk::Action> action_edit_preferences;
  //ViewActions
  const Glib::RefPtr<Gtk::Action> action_view;
  const Glib::RefPtr<Gtk::ToggleAction> action_view_param_tool_tip;
  const Glib::RefPtr<Gtk::ToggleAction> action_view_statusbar;
  //HelpActions
  const Glib::RefPtr<Gtk::Action> action_help;
  const Glib::RefPtr<Gtk::Action> action_help_about;
  const Glib::RefPtr<Gtk::Action> action_help_documentation;
  
private: 
  Gtk::MenuBar* m_menubar;
  Gtk::Toolbar* m_toolbar;
};

#endif // MAINMENU_H_INCLUDED
