/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef PARAMVIEW_H_INCLUDED
#define PARAMVIEW_H_INCLUDED

#include <gtksourceview/gtksourceview.h>

#include <c4scripter/c4s-preferences.h>

G_BEGIN_DECLS

#define C4S_TYPE_PARAM_VIEW		(c4s_param_view_get_type ())
#define C4S_PARAM_VIEW(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), C4S_TYPE_PARAM_VIEW, C4sParamView))
#define C4S_PARAM_VIEW_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), C4S_TYPE_PARAM_VIEW, C4sParamViewClass))
#define C4S_IS_PARAM_VIEW(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), C4S_TYPE_PARAM_VIEW))
#define C4S_IS_PARAM_VIEW_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), C4S_TYPE_PARAM_VIEW))
#define C4S_PARAM_VIEW_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), C4S_TYPE_PARAM_VIEW, C4sParamViewClass))

typedef struct C4sParamView_ C4sParamView;
typedef struct C4sParamViewClass_ C4sParamViewClass;

typedef struct C4sParamViewPrivate_ C4sParamViewPrivate;

struct C4sParamView_ {
	GtkSourceView parent;
	C4sParamViewPrivate* priv;
};

struct C4sParamViewClass_ {
	GtkSourceViewClass parent_class;
};

GType c4s_param_view_get_type(void) G_GNUC_CONST;

GtkWidget* c4s_param_view_new(void* param_info, C4sPreferences* preferences);
GtkWidget* c4s_param_view_new_with_buffer(GtkSourceBuffer* buffer, void* param_info, C4sPreferences* preferences);

G_END_DECLS
#endif // PARAMVIEW_H_INCLUDED
