/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __C4S_PREFERENCESCOLORS_H__
#define __C4S_PREFERENCESCOLORS_H__

#include <c4scripter/c4s-preferencespage.h>
#include <c4scripter/c4s-preferences.h>

G_BEGIN_DECLS

#define C4S_TYPE_PREFERENCES_COLORS             (c4s_preferences_colors_get_type())
#define C4S_PREFERENCES_COLORS(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), C4S_TYPE_PREFERENCES_COLORS, C4sPreferencesColors))
#define C4S_PREFERENCES_COLORS_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), C4S_TYPE_PREFERENCES_COLORS, C4sPreferencesColorsClass))
#define C4S_IS_PREFERENCES_COLORS(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), C4S_TYPE_PREFERENCES_COLORS))
#define C4S_IS_PREFERENCES_COLORS_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), C4S_TYPE_PREFERENCES_COLORS))
#define C4S_PREFERENCES_COLORS_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), C4S_TYPE_PREFERENCES_COLORS, C4sPreferencesColorsClass))

typedef struct _C4sPreferencesColorsClass C4sPreferencesColorsClass;
typedef struct _C4sPreferencesColors C4sPreferencesColors;

struct _C4sPreferencesColorsClass
{
  C4sPreferencesPageClass parent_class;
};

struct _C4sPreferencesColors
{
  C4sPreferencesPage parent_instance;
};

GType
c4s_preferences_colors_get_type(void) G_GNUC_CONST;

C4sPreferencesColors*
c4s_preferences_colors_new(C4sPreferences* preferences);

G_END_DECLS

#endif /* __C4S_PREFERENCESCOLORS_H__ */
